Mise à jour obligatoire de WordPress pour le rendre plus sûr

Il a été démontré que WordPress est le gestionnaire de contenu, le CMS, le plus utilisé sur Internet. Ses hautes performances, enveloppées dans des thèmes et des plugins, font qu’un grand nombre de sites web fonctionnent sur cette plateforme.

À tous les niveaux, il existe actuellement des risques de sécurité importants non seulement pour ceux qui utilisent le réseau des réseaux, mais aussi pour ceux qui gèrent un ou plusieurs sites web. Il est donc nécessaire d’essayer, dans la mesure du possible, d’être à jour afin d’éviter les attaques contre la vie privée et d’autres aspects.

Bien que WordPress soit fréquemment mis à jour, ajoutant de nouvelles fonctionnalités et comblant les failles de sécurité, les responsables de la plateforme ne peuvent pas toujours apporter certains changements, car s’ils le font, de nombreux sites web cesseront de fonctionner.

Pourquoi ne pas mettre à jour jQuery ?

Les archives jQuery est fondamentale pour le bon fonctionnement de la plupart des sites web basés sur WordPress. Cela ne signifie pas que la sécurité de la version de ce fichier JS n’est pas remise en question. La raison pour laquelle il n’est pas mis à jour est, comme mentionné ci-dessus, que de nombreux sites web travaillent sur un thème ou un modèle obsolète et ont également des plugins actifs qui n’ont pas été mis à jour depuis un certain temps.

Si nous accédons au répertoire qui contient ce fichier dans notre installation WordPress, nous pouvons vérifier que la version actuellement active est la 1.12.4. Cette version comporte des vulnérabilités notables qui affectent la sécurité, il est donc pratique de la changer pour une version plus récente.

Bien que les mises à jour puissent être faites à la main, avec des retouches dans le fonctions.php du thème actif, il est préférable d’utiliser un plugin, qui fait tout le travail pour nous.

Installer jQuery Updater

jQuery Updater mises à jour jQuery à la dernière version stable du fichier. Cela permet de combler l’éventuelle faille de sécurité générée par la version installée avec le système WordPress. Ce plugin fait également la même chose avec jQuery Migrer.

Pour installer et activer ce plugin, le plus simple est de le faire à partir du Panel d’administration à partir de WordPress, accès Plugins -> Ajouter un nouveau et écrivez dans la case de recherche jQuery Updater. La prochaine étape est bien connue. Si vous avez des doutes, vous pouvez lire Comment installer un plugin dans WordPress.

Après l’activation de jQuery Updater aucun réglage n’est nécessaire, le plugin s’occupe de tout. Ce qui est pratique, c’est de vérifier si tout fonctionne parfaitement, car il peut y avoir des problèmes, comme nous l’avons indiqué, avec le thème actif et/ou avec certains plugins.

Accès

Pour connaître toutes les fonctionnalités de ce plugin, vous devez accéder à jQuery Updater. Si après l’avoir installé et activé, quelque chose ne fonctionne pas, il suffit de le désactiver et tout reviendra à l’état précédent, puisque le plugin ne remplace aucun fichier.